unit Optns;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Registry;

type
  TOptnsForm = class(TForm)
    eCompiler: TLabeledEdit;
    OK: TButton;
    Cancel: TButton;
    Bevel: TBevel;
    tryCollect: TCheckBox;
    SelectCompiler: TButton;
    SelectCompilerDialog: TOpenDialog;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure CancelClick(Sender: TObject);
    procedure SelectCompilerClick(Sender: TObject);
    procedure OKClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  OptnsForm: TOptnsForm;

implementation

uses lie;

{$R *.dfm}

procedure TOptnsForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  MainFrm.Enabled := True;
end;

procedure TOptnsForm.FormCreate(Sender: TObject);
begin
  tryCollect.Checked := Lie.Collect;
  eCompiler.Text := Lie.Compiler;
end;

procedure TOptnsForm.CancelClick(Sender: TObject);
begin
  OptnsForm.Close;
end;

procedure TOptnsForm.SelectCompilerClick(Sender: TObject);
begin
  If (SelectCompilerDialog.Execute) then
  begin
    eCompiler.Text := SelectCompilerdialog.FileName;
  end;
end;

procedure TOptnsForm.OKClick(Sender: TObject);
var reg: TRegistry;
begin
  Lie.Compiler := eCompiler.Text;
  Lie.Collect := tryCollect.Checked;
  reg := TRegistry.Create;
    reg.OpenKey('Software\k0zy\LIEv2',True);
    reg.WriteString('Compiler',Lie.Compiler);
  reg.Free;
  OptnsForm.Close;
end;

end.
